<!--

@license Apache-2.0

Copyright (c) 2023 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# altcase

> Convert a string to alternate case.

<!-- Package usage documentation. -->

<section class="usage">

## Usage

```javascript
var altcase = require( '@stdlib/string/base/altcase' );
```

#### altcase( str )

Converts a string to alternate case.

```javascript
var str = altcase( 'foo bar' );
// returns 'fOo bAr'

str = altcase( 'foo bar baz' );
// returns 'fOo bAr bAz'

str = altcase( 'foo_bar' );
// returns 'fOo_bAr'
```

</section>

<!-- /.usage -->

<!-- Package usage examples. -->

<section class="examples">

## Examples

```javascript
var altcase = require( '@stdlib/string/base/altcase' );

var str = 'Hello World!';
var out = altcase( str );
// returns 'hElLo wOrLd!'

str = 'I am a tiny little teapot';
out = altcase( str );
// returns 'i aM A TiNy lItTlE TeApOt'

str = 'with big problems';
out = altcase( str );
// returns 'wItH BiG PrObLeMs'

str = 'To be, or not to be: that is the question.';
out = altcase( str );
// returns 'tO Be, Or nOt tO Be: ThAt iS ThE QuEsTiOn.'

str = 'isMobile';
out = altcase( str );
// returns 'iSmObIlE'
```

</section>

<!-- /.examples -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

</section>

<!-- /.links -->
