/**
* @license Apache-2.0
*
* Copyright (c) 2024 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

'use strict';

/**
* Convert a string to a well formed string.
*
* @module @stdlib/string/to-well-formed
*
* @example
* var str2wellformed = require( '@stdlib/string/to-well-formed' );
*
* var str = "ab\uD800";
* var newStr = str2wellformed( str );
* // returns ab�
*
* str = "ab\uD83D\uDE04c";
* newStr = str2wellformed( str );
* // returns ab😄c
*
* str = "abc";
* bool = str2wellformed( str );
* // returns abc
*/

// MODULES //

var main = require( './main.js' );


// EXPORTS //

module.exports = main;
